Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
vm_throw_data Struct Reference

THROW_DATA. More...

`#include <internal.h>`

## Data Fields
VALUE | flags
VALUE | reserved
const VALUE | throw_obj
const struct rb_control_frame_struct * | catch_frame
int | throw_state

## Detailed Description

THROW_DATA.

Definition at line 1193 of file internal.h.

## Field Documentation

## ◆ catch_frame

const struct rb_control_frame_struct * vm_throw_data::catch_frame

Definition at line 1197 of file internal.h.

## ◆ flags

VALUE vm_throw_data::flags

Definition at line 1194 of file internal.h.

## ◆ reserved

VALUE vm_throw_data::reserved

Definition at line 1195 of file internal.h.

## ◆ throw_obj

const VALUE vm_throw_data::throw_obj

Definition at line 1196 of file internal.h.

## ◆ throw_state

int vm_throw_data::throw_state

Definition at line 1198 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h